Subject: Re: [bug#69971] [PATCH v2] gnu: webkitgtk: Add locale and dri access to gtk sandbox in order to silence gtk locale warnings and enable hardware accelerated video, respectively.

From: Abhishek Cherath <[email-masked]>
Date: Mon, 01 Apr 2024 06:49:50 -0400

>I think dynamic choices should be possible – IIRC, std::strings are
>used for arguments, but even if not, we're dealing with C++, so we can
>allocate "on the stack".

👍. I can make that change tomorrow. One QoL thing. How do you run a program built in /tmp/<<build_folder>> without it complaining about store paths and suchlike?

I ask because ideally, I'd debug this by interrupting the webkit build somewhere while I have --keep-failed, then `guix shell -D webkitgtk --pure && . environment-variables`, then running the minibrowser. But that doesn't work because it complains about stuff not being in the store.

Oh, but I suppose I could use LD_LIBRARY_PATH unless it compiles in some strings.  Will try.

>rebuilds from 44.10.  I'd prefer if stuff that rebuilds webkitgtk on
>master were grafted, as it causes more than the prescribed 300 rebuilds
>and is a nasty build itself.

👍, so call this webkitgtk-bubblewrap-fixed and have a replacement field in the other package?